#
# spec file for package ghc-scientific
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name scientific

Name:           ghc-scientific
Version:        0.3.4.7
Release:        1.3
Summary:        Numbers represented using scientific notation
License:        BSD-3-Clause
Group:          System/Libraries/Other

Url:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  fdupes
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-hashable-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-vector-devel

%description
Data.Scientific provides a space efficient and arbitrary precision scientific
number type.

This package provides the Haskell %{pkg_name} libraries.

%package  -n ghc-%{pkg_name}-devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Provides:       %{name}-static = %{version}-%{release}
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}

%description  -n ghc-%{pkg_name}-devel
Data.Scientific provides a space efficient and arbitrary precision scientific
number type.

This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post -n ghc-%{pkg_name}-devel
%ghc_pkg_recache

%postun -n ghc-%{pkg_name}-devel
%ghc_pkg_recache

%files -f ghc-%{pkg_name}.files
%defattr(-,root,root)
%doc LICENSE

%files  -n ghc-%{pkg_name}-devel -f ghc-%{pkg_name}-devel.files
%defattr(-,root,root,-)

%changelog
* Sun Jun 12 2016 mimi.vx@gmail.com
- update to 0.3.4.7
  * Unconditionally export Data.ByteString.Builder.Scientific.
  * The bytestring-builder cabal flag has been removed.
  * Depend on bytestring-builder for backwards compatibility for GHC < 7.8.
* Sat Mar 12 2016 mimi.vx@gmail.com
- update to 0.3.4.6
  * Made toDecimalDigits more similar to floatToDigits
  * Introduce a special case for 0 in fromFloatDigits
* Thu Mar 10 2016 mimi.vx@gmail.com
- update to 0.3.4.5
  * Support GHC-8.0.1
  * Support binary-0.8
* Sun Nov 29 2015 mimi.vx@gmail.com
- update to 0.3.4.4
  * Fix build with integer-simple.
  * Improved performance of toDecimalDigits by 13%%.
* Mon Oct 12 2015 mimi.vx@gmail.com
- update to 0.3.4.2
  * build fixes
* Sun Oct  4 2015 mimi.vx@gmail.com
- update to 0.3.4.0
  * Added fromRationalRepetend & toRationalRepetend
  for safely converting from and to rationals
  which have a repeating decimal representation like:
  1 %% 28 = 0.03(571428).
  * Added a Binary instance.
  * Various performance improvements.
  * Support vector-0.11
  * Support tasty-0.11
  * Support criterion-1.1.0.0
* Sun Apr 12 2015 mimi.vx@gmail.com
- update to 0.3.3.8
* Sun Mar 29 2015 mpluskal@suse.com
- Remove ExclusiveArch
* Mon Feb  2 2015 mpluskal@suse.com
-  Initial package
